export function showAlert(msg: string): Promise<void> {
  const dialog = document.getElementById('alert-dialog') as HTMLDialogElement
  const messageBox = document.getElementById('alert-dialog-message') as HTMLParagraphElement
  const closeButton = document.getElementById('alert-dialog-close-button') as HTMLButtonElement
  closeButton.addEventListener('click', () => dialog.close())
  messageBox.innerText = msg
  dialog.showModal()
  return new Promise((resolve) => {
    dialog.addEventListener('close', () => resolve())
  })
}
